package com.example.myapplication.navigation
import androidx.compose.runtime.Composable
import androidx.navigation.compose.NavHost
import androidx.navigation.compose.composable
import androidx.navigation.compose.rememberNavController
import com.example.myapplication.slide.Code
import com.example.myapplication.slide.LogIn
import com.example.myapplication.slide.Password
import com.example.myapplication.slide.SplashScreen
import com.example.myapplication.slide.karta
import com.example.myapplication.slide.one
import com.example.myapplication.slide.three
import com.example.myapplication.slide.two

@Composable
fun Navigation() {
    val navController = rememberNavController()
    NavHost(navController = navController,//контроллер реагирующий и отвечающий за перемещения
        startDestination = "splashScreen")
    {

        composable("splashScreen"){
        SplashScreen(navController)
        }
        composable("1"){
            one(navController)
        }
        composable("2"){
            two(navController)
        }
        composable("3"){
            three(navController)
        }
        composable("logInScreen"){
            LogIn(navController)
        }
        composable("Code"){
            Code(navController)
        }
        composable("Password"){
            Password(navController)
        }
        composable("Karta"){
            karta(navController)
        }
    }
}
